unit einstellungen;

{$mode objfpc}{$H+}

interface

uses
  Classes,
  SysUtils,
  FileUtil,
  Forms,
  Controls,
  Graphics,
  INIFiles,
  Dialogs,
  StdCtrls;

type

  { TfrmEinstellungen }

  TfrmEinstellungen = class(TForm)
    btnSave: TButton;
    edPOP: TEdit;
    edMail: TEdit;
    edSMTP: TEdit;
    edPort: TEdit;
    edPasswort: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    procedure btnSaveClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  frmEinstellungen: TfrmEinstellungen;
  INI : TINIFILE;

implementation

{$R *.lfm}

{ TfrmEinstellungen }

procedure TfrmEinstellungen.btnSaveClick(Sender: TObject);
begin

  INI.WriteString('Mail','1',edMail.Text);
  INI.WriteString('SMTP','1',edSMTP.Text);
  INI.WriteString('PORT','1',edPort.Text);
  INI.WriteString('PASSWORT','1',edPasswort.Text);
  INI.WriteString('POP','1',edPOP.Text);
  Close;
end;

procedure TfrmEinstellungen.FormCreate(Sender: TObject);
begin
  INI := TIniFile.Create('C:\DB.ini');
end;

procedure TfrmEinstellungen.FormShow(Sender: TObject);
begin

 edMail.Text     := INI.ReadString('Mail','1','');
 edSMTP.Text     := INI.ReadString('SMTP','1','');
 edPort.Text     := INI.ReadString('PORT','1','');
 edPasswort.Text := INI.ReadString('PASSWORT','1','');
 edPOP.Text      := INI.ReadString('POP','1','');

end;

end.

