unit Main;

{$mode objfpc}{$H+}

interface

uses
  Classes,
  SysUtils,
  FileUtil,
  smtpsend,
  ssl_openssl,
  mimemess,
  pop3send,
  Forms,
  Controls,
  Graphics,
  INIFiles,
  Dialogs,
  Einstellungen,
  StdCtrls;

type

  { TfrmMain }

  TfrmMain = class(TForm)
    btnEinstellungen: TButton;
    btnAbholen: TButton;
    Memo1: TMemo;
    procedure btnAbholenClick(Sender: TObject);
    procedure btnEinstellungenClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  frmMain: TfrmMain;
  INI : TINIFILE;

implementation

{$R *.lfm}

{ TfrmMain }

procedure TfrmMain.btnEinstellungenClick(Sender: TObject);
begin
  frmEinstellungen.Show;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  INI := TIniFile.Create('C:\DB.ini');
end;

procedure TfrmMain.btnAbholenClick(Sender: TObject);
var
  pop: TPOP3Send;
  sc : Integer;
  k  : Integer;
  msg: Tmimemess;
begin
  pop:=TPOP3Send.create;
  try


      pop.AutoTLS    := True;
      pop.Username   := INI.ReadString('Mail','1','');
      pop.Password   := INI.ReadString('PASSWORT','1','');
      pop.TargetHost := INI.ReadString('POP','1','');
      pop.TargetPort := INI.ReadString('PORT','1','');;
      pop.AuthType   := POP3AuthAll;
      pop.login;

      pop.list(0);

      memo1.lines.Assign(pop.FullResult);
      pop.Retr(1);
     // pop.top(1,0);
 //     pop.logout;
    finally
   //   pop.free;
    end;

  if (not pop.Login) then
  begin
    memo1.Lines.Add('POP login failed.');
    exit;
  end;
  pop.list(0);
  memo1.Lines.Assign(pop.FullResult);


  pop.Stat;
  sc := pop.statcount;
  for k := 1 to sc do
  begin
    pop.Retr(k);
  //  msg.Clear; hier hat er ein Problem
    msg.Lines.Assign(pop.FullResult);
    msg.DecodeMessage;
    memo1.Lines.Add('  Date:       ' + FormatDateTime('DD.MM.YYYY    HH:MM', msg.Header.Date));
    memo1.Lines.Add('  from:       ' + msg.Header.From);
    memo1.Lines.Add('  subject:    ' + msg.Header.Subject);
    memo1.Lines.Add('  organisation: ' + msg.Header.Organization);
    memo1.Lines.Add('  messageid:    ' + msg.Header.MessageID);
    memo1.Lines.Add(' ');
  end;

  pop.logout;
  pop.Free;
end;

end.

